<?php

function _amazon_store_locale() {


  $locale = array(
  'CA' => array(
      'All' => array('friendly_name' => t('All'),
      'BrowseNode' => 2000,
      'parameters_allowed' => array('Keywords'),
      'sorts' => NULL,
      ),
  'Books' => array(
    'friendly_name' => t('Books'),
    'BrowseNode' => 927726,
    'parameters_allowed' => array( 'Author', 'BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Power', 'Publisher', 'Sort', 'Title'),
    'sorts' => array(
      'salesrank' => t('Bestselling'),
      'pricerank' => t('Price: low to high'),
      'inverse-pricerank' => t('Price: high to low'),
      'daterank' => t('Pub Date: New to Old'),
      'titlerank' => t('Alphabetical: A to Z'),
    ),
  ),
  'Classical' => array('friendly_name' => t('Classical'),
  'BrowseNode' => 962454,
  'parameters_allowed' => array( 'Author', 'BrowseNode', 'Composer', 'Condition', 'Conductor', 'Count', 'ItemPage', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'MusicLabel', 'Sort', 'Title'),
  'sorts' => array(
  'salesrank' => t('Bestselling'),
  'titlerank' => t('Alphabetical: A to Z'),
  'orig-rel-date' => t('Rel Date: New to Old'),
  ),
  ),
  'DVD' => array('friendly_name' => t('DVD'),
  'BrowseNode' => 14113311,
  'parameters_allowed' => array( 'Actor', 'AudienceRating', 'BrowseNode', 'Condition', 'Count', 'Director', 'ItemPage', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Publisher', 'Sort', 'Title'),
  'sorts' => array(
  'salesrank' => t('Bestselling'),
  'titlerank' => t('Alphabetical: A to Z'),
  ),
  ),
  'Electronics' => array('friendly_name' => t('Electronics'),
  'BrowseNode' => 677211011,
  'parameters_allowed' => array('BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'Manufacturer', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'ReleaseDate', 'Sort', 'Title'),
  'sorts' => array(
    'salesrank' => t('Bestselling'),
    'relevancerank' => t('Relevance'),
    'price' => t('Price: low to high'),
    '-price' => t('Price: high to low'),
    'titlerank' => t('Alphabetical: A to Z'),
    '-titlerank' => t('Alphabetical: Z to A'),
  ),
  ),
  'ForeignBooks' => array('friendly_name' => t('ForeignBooks'),
  'BrowseNode' => 927726,
  'parameters_allowed' => array( 'BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Power', 'Publisher', 'Sort', 'Title'),
  'sorts' => array(
  'salesrank' => t('Bestselling'),
  'pricerank' => t('Price: low to high'),
  'inverse-pricerank' => t('Price: high to low'),
  'daterank' => t('Publication date: newer to older'),
  'titlerank' => t('Alphabetical: A to Z'),
  ),
  ),
  'Music' => array('friendly_name' => t('Music'),
  'BrowseNode' => 962454,
  'parameters_allowed' => array( 'Artist', 'BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'MusicLabel', 'Power', 'Sort', 'Title'),
  'sorts' => array(
  'salesrank' => t('Bestselling'),
  'titlerank' => t('Alphabetical: A to Z'),
  'orig-rel-date' => t('Rel Date: New to Old'),
  ),
  ),
  'Software' => array('friendly_name' => t('Software'),
  'BrowseNode' => 3234171,
  'parameters_allowed' => array( 'BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'Manufacturer', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'Title'),
  'sorts' => array(
  'salesrank' => t('Bestselling'),
  'pricerank' => t('Price: low to high'),
  'inverse-pricerank' => t('Price: high to low'),
  'titlerank' => t('Alphabetical: A to Z'),
  '-daterank' => t('Rel Date: Old to New'),
  ),
  ),
  'SoftwareVideoGames' => array('friendly_name' => t('Software Video Games'),
  'BrowseNode' => 3323751,
  'parameters_allowed' => array( 'Author', 'BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'Manufacturer', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'Title'),
  'sorts' => array(
  'salesrank' => t('Bestselling'),
  'pricerank' => t('Price: low to high'),
  'inverse-pricerank' => t('Price: high to low'),
  'titlerank' => t('Alphabetical: A to Z'),
  '-daterank' => t('Rel Date: Old to New'),
  ),
  ),
  'VHS' => array('friendly_name' => t('VHS'),
  'exclude_default' => TRUE,
  'BrowseNode' => 962072,
  'parameters_allowed' => array( 'Actor', 'BrowseNode', 'Condition', 'Count', 'Director', 'ItemPage', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Publisher', 'Sort', 'Title'),
  'sorts' => array(
  'salesrank' => t('Bestselling'),
  '-titlerank' => t('Alphabetical: Z to A'),
  ),
  ),
  'Video' => array('friendly_name' => t('Video'),
  'BrowseNode' => 962454,
  'parameters_allowed' => array( 'Actor', 'AudienceRating', 'BrowseNode', 'Condition', 'Count', 'Director', 'ItemPage', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Publisher', 'Sort', 'Title'),
  'sorts' => array(
  'salesrank' => t('Bestselling'),
  'titlerank' => t('Alphabetical: A to Z'),
  '-titlerank' => t('Alphabetical: Z to A'),
  ),
  ),
  'VideoGames' => array('friendly_name' => t('Video Games'),
  'BrowseNode' => 110218011,
  'parameters_allowed' => array( 'Author', 'Brand', 'BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'Manufacturer', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'Title'),
'salesrank' => t('Bestselling'),
'pricerank' => t('Price: low to high'),
'inverse-pricerank' => t('Price: high to low'),
'titlerank' => t('Alphabetical: A to Z'),
'-titlerank' => t('Alphabetical: Z to A'),
  ),
  ),
  );
  return $locale;
}