<?php


function _amazon_store_locale() {

  $locale = array('FR' => array(
      'All' => array('friendly_name' => t('All'),
      'BrowseNode' => 2000,
      'parameters_allowed' => array('Keywords'),
      'sorts' => NULL,
      ),

  'Baby' => array('friendly_name' => t('Baby'),
  'BrowseNode' => 357577011,
  'parameters_allowed' => array('Brand', 'BrowseNode', 'Condition', 'ItemPage', 'Keywords', 'Manufacturer', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'State', 'Title'),
  'sorts' => array(
    'price' => t('Price, Low to High'),
    '-price' => t('Price, High to Low'),
    'relevancerank' => t('Relevance'),
    'salesrank' => t('Bestselling'),
  ),
),
'Beauty' => array('friendly_name' => t('Beauty'),
  'BrowseNode' => 197858031,
  'parameters_allowed' => array('Availability', 'Brand', 'BrowseNode', 'DeliveryMethod', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'Title'),
  'sorts' => array(
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'relevancerank' => t('Relevance'),
       'reviewrank' => t('Average customer review: high to low'),
       'salesrank' => t('Bestselling'),
),
),
'Books' => array('friendly_name' => t('Books'),
  'BrowseNode' => 468256,
  'parameters_allowed' => array('Author', 'BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Power', 'Publisher', 'Sort', 'Title'),
  'sorts' => array(
       'salesrank' => t('Best selling to worst selling'),
       'pricerank' => t('Price: low to high'),
       'inverse-pricerank' => t('Price: high to low'),
       '-daterank' => t('Pub Date: Old to New'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),
'Classical' => array('friendly_name' => t('Classical'),
  'BrowseNode' => 537366,
  'parameters_allowed' => array('Actor', 'Availability', 'BrowseNode', 'Composer', 'Conductor', 'Count', 'Format', 'ItemPage', 'Keywords', 'Magazines', 'MusicLabel', 'Orchestra', 'Performer', 'PostalCode', 'Sort', 'State', 'Title'),
  'sorts' => array(
       'salesrank' => t('Bestselling'),
       'pricerank' => t('Price: low to high'),
       'price' => t('Price: low to high'),
       'inverse-pricerank' => t('Price: high to low'),
       '-price' => t('Price: high to low'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),

'DVD' => array('friendly_name' => t('DVD'),
  'BrowseNode' => 578608,
  'parameters_allowed' => array('Actor', 'AudienceRating', 'Availability', 'BrowseNode', 'Count', 'Director', 'Format', 'ItemPage', 'Keywords', 'Magazines', 'Performer', 'PostalCode', 'Publisher', 'Sort', 'State', 'Title'),
  'sorts' => array(
       'amzrank' => t('Alphabetical: A to Z'),
       'availability' => t('Most to least available'),
       'salesrank' => t('Bestselling'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),
'Electronics' => array('friendly_name' => t('Electronics'),
  'BrowseNode' => 1058082,
  'parameters_allowed' => array('BrowseNode', 'Condition', 'ItemPage', 'Keywords', 'Manufacturer', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'Title'),
  'sorts' => array(
       'salesrank' => t('Bestselling'),
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),
'ForeignBooks' => array('friendly_name' => t('Foreign Books'),
  'BrowseNode' => 69633011,
  'parameters_allowed' => array('Author', 'BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Power', 'Publisher', 'Sort', 'Title'),
  'sorts' => array(
       'salesrank' => t('Bestselling'),
       'pricerank' => t('Price: low to high'),
       'inverse-pricerank' => t('Price: high to low'),
       '-daterank' => t('Publication date: Old to New'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),
'HealthPersonalCare' => array('friendly_name' => t('Health & Personal Care'),
  'BrowseNode' => 197861031,
  'parameters_allowed' => array('Availability', 'Brand', 'BrowseNode', 'DeliveryMethod', 'KeyWords', 'Manufacturer', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'Title'),
  'sorts' => array(
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'relevancerank' => t('Relevance'),
       'reviewrank' => t('Average customer review: high to low'),
       'salesrank' => t('Bestselling'),
),
),
'Jewelry' => array('friendly_name' => t('Jewelry'),
  'BrowseNode' => 193711031,
  'parameters_allowed' => array('Availability', 'BrowseNode', 'DeliveryMethod', 'Keywords', 'MerchantId', 'Sort', 'Title'),
  'sorts' => array(
       'salesrank' => t('Bestselling'),
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'relevancerank' => t('Relevance'),
       'reviewrank' => t('Average customer review: high to low'),
),
),
'Kitchen' => array('friendly_name' => t('Kitchen'),
  'BrowseNode' => 57686031,
  'parameters_allowed' => array('Author', 'Availability', 'Brand', 'BrowseNode', 'Condition', 'Count', 'DeliveryMethod', 'Format', 'ISPUPostalCode', 'ItemPage', 'Keywords', 'Magazines', 'Manufacturer', 'MerchantId', 'Performer', 'PostalCode', 'Sort', 'State', 'Title'),
  'sorts' => array(
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'relevancerank' => t('Relevance'),
       'salesrank' => t('Bestselling to worst selling'),
),
),
'MP3Downloads' => array('friendly_name' => t('MP3 Downloads'),
  'exclude_default' => TRUE,
  'BrowseNode' => 206442031,
  'parameters_allowed' => array('Availability', 'BrowseNode', 'DeliveryMethod', 'Keywords', 'MerchantId', 'Sort', 'Title'),
  'sorts' => array(
       'albumrank' => t('Album: A to Z'),
       '-albumrank' => t('Album: Z to A'),
       'artistalbumrank' => t('Artist: A to Z'),
       '-artistalbumrank' => t('Artist: Z o A'),
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'runtime' => t('Time: Short to Long'),
       '-runtime' => t('Time: Long to Short'),
       '-releasedate' => t('Release date: newer to older'),
       'relevancerank' => t('Relevance'),
       'reviewrank' => t('Average customer review: high to low'),
       'salesrank' => t('Bestselling'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),
'Music' => array('friendly_name' => t('Music'),
  'BrowseNode' => 537366,
  'parameters_allowed' => array('Artist', 'Availability', 'BrowseNode', 'Count', 'Format', 'ItemPage', 'Keywords', 'Magazines', 'MusicLabel', 'Performer', 'PostalCode', 'Sort', 'State', 'Title'),
  'sorts' => array(
       'salesrank' => t('Bestselling'),
       'pricerank' => t('Price: low to high'),
       'inverse-pricerank' => t('Price: high to low'),
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),
'OfficeProducts' => array('friendly_name' => t('Office Products'),
  'BrowseNode' => 192420031,
  'parameters_allowed' => array('Availability', 'Brand', 'BrowseNode', 'DeliveryMethod', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'Title'),
  'sorts' => array(
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'relevancerank' => t('Relevance'),
       'reviewrank' => t('Average customer review: high to low'),
       'salesrank' => t('Bestselling'),
),
),
'Software' => array('friendly_name' => t('Software'),
  'BrowseNode' => 548012,
  'parameters_allowed' => array('BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'Manufacturer', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'Title'),
  'sorts' => array(
       'salesrank' => t('Bestselling'),
       'price' => t('Price: low to high'),
       '-pricerank' => t('Price: high to low'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),
'SoftwareVideoGames' => array('friendly_name' => t('Software Video Games'),
  'BrowseNode' => 548014,
  'parameters_allowed' => array('Author', 'BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'Manufacturer', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'Title'),
  'sorts' => array(
       'salesrank' => t('Bestselling'),
       'price' => t('Price: low to high'),
       '-pricerank' => t('Price: high to low'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
       '-date' => t('Rel Date: Old to New'),
),
),
'Toys' => array('friendly_name' => t('Toys'),
  'BrowseNode' => 548014,
  'parameters_allowed' => array( 'BrowseNode', 'Condition', 'ItemPage', 'Keywords', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'State', 'TextStream', 'Title'),
  'sorts' => array(
       'pmrank' => t('Featured items'),
       'salesrank' => t('Bestselling'),
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-age-min' => t('Age: high to low'),
),
),
'VHS' => array('friendly_name' => t('VHS'),
  'BrowseNode' => 578610,
  'parameters_allowed' => array('Actor', 'AudienceRating', 'Availability', 'BrowseNode', 'Count', 'Director', 'Format', 'ItemPage', 'Keywords', 'Magazines', 'Performer', 'PostalCode', 'Publisher', 'Sort', 'State', 'Title'),
  'sorts' => array(
       'amzrank' => t('Most to least available'),
       'availability' => t('Most to least available'),
       'salesrank' => t('Bestselling'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),
'Video' => array('friendly_name' => t('Video'),
  'BrowseNode' => 578608,
  'parameters_allowed' => array('Actor', 'AudienceRating', 'Availability', 'BrowseNode', 'Director', 'ItemPage', 'Keywords', 'PostalCode', 'Publisher', 'Sort', 'State', 'Title'),
  'sorts' => array(
       'salesrank' => t('Bestselling'),
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),
'VideoGames' => array('friendly_name' => t('Video Games'),
  'BrowseNode' => 548014,
  'parameters_allowed' => array('Author', 'Brand', 'BrowseNode', 'Condition', 'Count', 'ItemPage', 'Keywords', 'Manufacturer', 'MaximumPrice', 'MerchantId', 'MinimumPrice', 'Sort', 'Title'),
  'sorts' => array(
       'salesrank' => t('Bestselling'),
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'date' => t('Rel Date: new to old'),
       'titlerank' => t('Alphabetical: A to Z'),
       '-titlerank' => t('Alphabetical: Z to A'),
),
),
'Watches' => array('friendly_name' => t('Watches'),
  'BrowseNode' => 60937031,
  'parameters_allowed' => array('BrowseNode', 'Condition', 'ItemPage', 'Keywords', 'MerchantId', 'MinimumPrice', 'Sort', 'State', 'TextStream', 'Title'),
  'sorts' => array(
       'price' => t('Price: low to high'),
       '-price' => t('Price: high to low'),
       'salesrank' => t('Bestselling to worst selling'),
       'relevancerank' => t('Relevance'),
       'reviewrank' => t('Average customer review: high to low'),
),
),
),
);

return $locale;
}